Package icyllis.modernui.resources

# Class ResourceTypes

java.lang.Object
icyllis.modernui.resources.ResourceTypes

public class ResourceTypes extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ResourceTypes.Res_value`
  `static class`
  `ResourceTypes.ResTable_map`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_ANY`
  `static final int`
  `TYPE_BOOLEAN`
  `static final int`
  `TYPE_COLOR`
  `static final int`
  `TYPE_DIMENSION`
  `static final int`
  `TYPE_ENUM`
  `static final int`
  `TYPE_FLAGS`
  `static final int`
  `TYPE_FLOAT`
  `static final int`
  `TYPE_FRACTION`
  `static final int`
  `TYPE_INTEGER`
  `static final int`
  `TYPE_REFERENCE`
  `static final int`
  `TYPE_STRING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceTypes()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_ANY

    public static final int TYPE_ANY
    See Also:
      - Constant Field Values

  - ### TYPE_REFERENCE

    public static final int TYPE_REFERENCE
    See Also:
      - Constant Field Values

  - ### TYPE_STRING

    public static final int TYPE_STRING
    See Also:
      - Constant Field Values

  - ### TYPE_INTEGER

    public static final int TYPE_INTEGER
    See Also:
      - Constant Field Values

  - ### TYPE_BOOLEAN

    public static final int TYPE_BOOLEAN
    See Also:
      - Constant Field Values

  - ### TYPE_COLOR

    public static final int TYPE_COLOR
    See Also:
      - Constant Field Values

  - ### TYPE_FLOAT

    public static final int TYPE_FLOAT
    See Also:
      - Constant Field Values

  - ### TYPE_DIMENSION

    public static final int TYPE_DIMENSION
    See Also:
      - Constant Field Values

  - ### TYPE_FRACTION

    public static final int TYPE_FRACTION
    See Also:
      - Constant Field Values

  - ### TYPE_ENUM

    public static final int TYPE_ENUM
    See Also:
      - Constant Field Values

  - ### TYPE_FLAGS

    public static final int TYPE_FLAGS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ResourceTypes

    public ResourceTypes()